from CPUPolicy import CPUPolicy
import sys

class python_loader_sort_queue(CPUPolicy) :
    def __init__(self):
        pass

    def configure(self):
        pass

    def is_preemptive(self):
        return False

    def get_time_slice(self):
        return -1

    def sort_queue(self, queue):
        print "[II] Entering willingly an endless loop."
        while True:
            pass
